<ng-container *transloco="let t">
  <moe-manga-action-button
    #button
    [icon]="manga().bookmark ? 'bookmark_remove' : 'bookmark_add'"
    [loading]="bookmarkLoading()">
    <ng-template actionButtonOverlayContent>
      <mat-card class="bookmark-select-overlay dense-2">
        <mat-selection-list #list [multiple]="false">
          <mat-list-option [value]="null" [selected]="!manga()">
            {{ t('COMMON.BOOKMARK_STATUS.NONE') }}
          </mat-list-option>

          @for (status of bookmarkStatuses; track status) {
            <mat-list-option
              [value]="status"
              [selected]="status === manga().bookmark?.status">
              {{ t('COMMON.BOOKMARK_STATUS.' + status) }}
            </mat-list-option>
          }
        </mat-selection-list>

        <button
          mat-flat-button
          color="primary"
          (click)="handleStatusChange(list.selectedOptions.selected[0].value); button.toggleOverlay()">
          {{ t('PAGES.MANGA.BOOKMARK_BUTTON.APPLY') }}
        </button>
      </mat-card>
    </ng-template>
  </moe-manga-action-button>
</ng-container>
